---
title: pointsAtY
slug: Web/SVG/Attribute/pointsAtY
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>pointsAtY</code></strong> attribute represents the y location in the coordinate system established by attribute {{SVGAttr("primitiveUnits")}} on the {{SVGElement("filter")}} element of the point at which the light source is pointing.</p>

<p>Only one element is using this attribute: {{SVGElement("feSpotLight")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;

  &lt;filter id="lighting1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feDiffuseLighting in="SourceGraphic"&gt;
      &lt;feSpotLight x="60" y="60" z="50" pointsAtY="0" /&gt;
    &lt;/feDiffuseLighting&gt;
  &lt;/filter&gt;
  &lt;filter id="lighting2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feDiffuseLighting in="SourceGraphic"&gt;
      &lt;feSpotLight x="60" y="60" z="50" pointsAtY="400" /&gt;
    &lt;/feDiffuseLighting&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#lighting1);" /&gt;
  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#lighting2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "220", "220")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fespotlight-pointsaty", "pointsAtY")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feSpotLightPointsAtYAttribute", "pointsAtY")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feSpotLight.pointsAtY")}}</p>
